Beta

Resume a paused connection

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
POST
/v1/rooms/{room_id}/connections/{connection_id}/resume

Resumes an app or saved login paused in a Room, so the Room can use it again. The person who shared it or a Room manager can resume it.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

room_id*string
Match^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$
connection_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid
Idempotency-Key*string
Length8 <= length <= 200

Request Body

application/json
  1. body

Response Body

Successful authorized response.

application/json
  1. response
data*
request_id*string
curl -X POST 'https://example.com/v1/rooms/string/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/resume' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Idempotency-Key: stringst' \  -H 'Content-Type: application/json' \  -d '{}'
{  "data": {    "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9",    "kind": "app",    "plugin": "string",    "origin": "string",    "label": "string",    "status": "live",    "shared_by": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "shared_at": "string",    "mine": true,    "can_stop": true  },  "request_id": "string"}